/*
 * Copyright(C) 1996 Sony Corporation. All rights reserved.
 */

import vrml.*;
import vrml.field.*;
import vrml.node.*;
import java.util.*;
import vs.*;

public class box extends Script{
	/* Node */
	SFNode		BoxNode;

	/* EventOut */
	//SFBool		BoxTimeSensorEnabled;
	SFTime		BoxTimeSensorStartTime;

	public void initialize() {
		/* Node */
		BoxNode				= (SFNode) getField( "BoxNode" );
	
		/* EventOut */
		//BoxTimeSensorEnabled		= (SFBool) getEventOut( "BoxTimeSensorEnabled" );
		BoxTimeSensorStartTime		= (SFTime) getEventOut( "BoxTimeSensorStartTime" );
	}

	public void processEvent(Event e) {
		String name = e.getName () ;
	
		if(name.equals("BoxTouchSensorIsActive")) {	BoxTouchSensorIsActive(e);	}
		if(name.equals("BoxShareTouched")){			BoxShareTouched(e);		}
	}

	public void BoxTouchSensorIsActive(Event e) {
		double time = e.getTimeStamp();
		ConstSFBool mouse_down = (ConstSFBool)e.getValue();
	
		if (mouse_down.getValue()) return;	/* mouseDown */
		
		BoxStart( time );
		Vscp.sendApplSpecificMsgWithDist( BoxNode, "BoxShareTouched", "void", Vscp.allClientsExceptMe );
	}

	public void BoxShareTouched(Event e) {
		double time = e.getTimeStamp();
	
		BoxStart( time );

	}

	public void BoxStart ( double time ) {
	
		BoxTimeSensorStartTime.setValue( time );
	
	}
}



