/*
 * Copyright(C) 1996 Sony Corporation. All rights reserved.
 */

import vrml.*;
import vrml.field.*;
import vrml.node.*;
import java.util.*;
import vs.*;

public class fivebox extends Script{
	/* Node */
	SFNode		FiveboxNode;

	/* EventOut */
	SFTime		FiveboxTimeSensorStartTime;

	public void initialize() {
		/* Node */
		FiveboxNode				= (SFNode) getField( "FiveboxNode" );

		/* EventOut */
		FiveboxTimeSensorStartTime		= (SFTime) getEventOut( "FiveboxTimeSensorStartTime" );
	}

	public void processEvent(Event e) {
		String name = e.getName () ;

		if(name.equals("FiveboxTouchSensorIsActive")) {	FiveboxTouchSensorIsActive(e);	}
		if(name.equals("FiveboxShareTouched")){			FiveboxShareTouched(e);		}
	}

	public void FiveboxTouchSensorIsActive(Event e) {
		double time = e.getTimeStamp();
		ConstSFBool mouse_down = (ConstSFBool)e.getValue();
	
		if (mouse_down.getValue()) return;	/* mouseDown */
		
		FiveboxStart( time );
		Vscp.sendApplSpecificMsgWithDist( FiveboxNode, "FiveboxShareTouched", "void", Vscp.allClientsExceptMe );
	}

	public void FiveboxShareTouched(Event e) {
		double time = e.getTimeStamp();

		FiveboxStart( time );

	}

	public void FiveboxStart ( double time ) {

		FiveboxTimeSensorStartTime.setValue( time );
	
	}


}

