/*
 * Copyright(C) 1996 Sony Corporation. All rights reserved.
 */

import vrml.*;
import vrml.field.*;
import vrml.node.*;
import java.util.*;
import vs.*;

public class wall extends Script{
	/* Node */
	SFNode		WallNode;

	/* EventOut */
	//SFBool		WallTimeSensorEnabled;
	SFTime		WallTimeSensorStartTime;
	//SFTime		WallTimeSensorStopTime;

	public void initialize() {
		/* Node */
		WallNode				= (SFNode) getField( "WallNode" );

		/* EventOut */
		//WallTimeSensorEnabled		= (SFBool) getEventOut( "WallTimeSensorEnabled" );
		WallTimeSensorStartTime		= (SFTime) getEventOut( "WallTimeSensorStartTime" );
		//WallTimeSensorStopTime		= (SFTime) getEventOut( "WallTimeSensorStopTime" );
	}

	public void processEvent(Event e) {
		String name = e.getName () ;

		if(name.equals("WallTouchSensorIsActive")) {	WallTouchSensorIsActive(e);	}
		if(name.equals("WallShareTouched")){			WallShareTouched(e);		}
	}

	public void WallTouchSensorIsActive(Event e) {
		double time = e.getTimeStamp();
		ConstSFBool mouse_down = (ConstSFBool)e.getValue();
	
		if (mouse_down.getValue()) return;	/* mouseDown */
		
		WallStart( time );
		Vscp.sendApplSpecificMsgWithDist( WallNode, "WallShareTouched", "void", Vscp.allClientsExceptMe );
	}

	public void WallShareTouched(Event e) {
		double time = e.getTimeStamp();

		WallStart( time );

	}

	public void WallStart ( double time ) {

		WallTimeSensorStartTime.setValue( time );
	
	}


}

